Mailinglist Archive: opensuse-updates (161 mails)

< Previous Next >
openSUSE-RU-2019:0150-1: important: Recommended update for openssh
openSUSE Recommended Update: Recommended update for openssh
______________________________________________________________________________

Announcement ID: openSUSE-RU-2019:0150-1
Rating: important
References: #1123028
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that has one recommended fix can now be installed.

Description:

This update for openssh fixes the following issues:

- A previously applied security patch unintendedly changed the behavior of
OpenSSH's "scp" utility such that server-side brace expansion would no
longer be supported. Attempts to copy a set files from a remote machine
to the local
one by running "scp 'remote:{file-a,file-b}' /tmp" would fail. This
change in behavior broke Corosync and, potentially, many user scripts
that relied on brace expansion. [bsc#1123028]

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2019-150=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

openssh-7.2p2-32.1
openssh-askpass-gnome-7.2p2-32.1
openssh-askpass-gnome-debuginfo-7.2p2-32.1
openssh-cavs-7.2p2-32.1
openssh-cavs-debuginfo-7.2p2-32.1
openssh-debuginfo-7.2p2-32.1
openssh-debugsource-7.2p2-32.1
openssh-fips-7.2p2-32.1
openssh-helpers-7.2p2-32.1
openssh-helpers-debuginfo-7.2p2-32.1


References:

https://bugzilla.suse.com/1123028


< Previous Next >
This Thread
  • No further messages